We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8790 - DOAJ plugin doesn't fall back to issue date for datePublished
DOAJ plugin doesn't fall back to issue date for datePublished
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.5
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-04 14:45 PDT by James MacGregor
Modified: 2014-07-30 10:19 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against ojs-stable-2_4 (1.01 KB, patch)
2014-07-15 11:44 PDT, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2014-06-04 14:45:43 PDT
The DOAJ plugin doesn't fall back to the issue's date_published if the article's date_published is blank. I've got a fix for this - just waiting to hear back that things are a-ok from a client (2014051310000038).
Comment 1 James MacGregor 2014-07-15 11:44:59 PDT
Created attachment 4038 [details]
Patch against ojs-stable-2_4

Uploading to track, and for others to use if necessary.
Comment 2 Alec Smecher 2014-07-15 14:25:02 PDT
Pull request opened (not merged):
Fix for DOAJ plugin publication dates
https://github.com/pkp/ojs/pull/240
Comment 3 Alec Smecher 2014-07-16 05:30:03 PDT
Pull request closed (merged):
Fix for DOAJ plugin publication dates
https://github.com/pkp/ojs/pull/240
Comment 4 James MacGregor 2014-07-16 05:30:03 PDT
Fix for DOAJ plugin publication dates
https://github.com/pkp/ojs/commit/e3b338638e1e2f76ff728404742c6622653024cd
Comment 5 Alec Smecher 2014-07-21 11:22:06 PDT
James, is this awaiting review? If so, could you assign it to someone specific?
Comment 6 Jason Nugent 2014-07-21 11:24:24 PDT
I audited the code and merged the pull requests -- It can probably be closed if James agrees.
Comment 7 James MacGregor 2014-07-30 10:19:28 PDT
Fixed.